div#site_top_bar {
  height: 1rem;
  background-color: var(--greenLight);
}

header#site_header {
  position: sticky;
  top: 0;
  z-index: 10;
}

nav#site_menu {
  background-color: #ffffff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
  font-weight: bold;
  letter-spacing: 0.1ex;
}
nav#site_menu a#site_logo {
  position: absolute;
  top: 0.5rem;
  bottom: 0.5rem;
  left: 1.5rem;
  aspect-ratio: 1.934;
  display: inline-block;
}
nav#site_menu a#site_logo:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-image: url("/img/site/tsf-logo.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
}
nav#site_menu a#site_logo h1 {
  display: none;
}
nav#site_menu div#menu_toggle {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: auto;
  padding: 0.75rem 0.75rem 0.75rem 3.5rem;
  background-image: url("/css/icons/burger.svg");
  background-size: 1.5rem 1.5rem;
  background-position: 1.5rem center;
  background-repeat: no-repeat;
  cursor: pointer;
  display: none;
}
nav#site_menu a {
  position: relative;
  color: #507851;
  transition: color 0.3s ease-in-out;
}
nav#site_menu ul.menu {
  position: absolute;
  list-style: none;
  margin: 0;
  padding: 0;
  background-color: #ffffff;
}
nav#site_menu ul.menu li {
  position: relative;
  vertical-align: top;
  margin: 0;
  padding: 0;
}
nav#site_menu ul.menu li a {
  display: block;
  white-space: nowrap;
  padding: 0.75rem 1rem;
  border-collapse: collapse;
  border-top: 1px solid #dddddd;
  transition: color 0.3s linear, background-color 0.3s linear;
}
nav#site_menu ul.menu li a span {
  position: relative;
  display: inline-block;
}
nav#site_menu ul.menu li a span:after {
  content: "";
  position: absolute;
  bottom: -0.1rem;
  left: 50%;
  right: 50%;
  height: 2px;
  background-color: #000000;
  opacity: 0;
  transition: all 0.2s ease-in-out;
}
nav#site_menu ul.menu li a:hover, nav#site_menu ul.menu li a.active {
  color: #000000;
}
nav#site_menu ul.menu li a:hover span:after, nav#site_menu ul.menu li a.active span:after {
  left: 0;
  right: 0;
  opacity: 1;
}
nav#site_menu ul.menu li.is-hover > a,
nav#site_menu ul.menu li a:hover, nav#site_menu ul.menu li a:active, nav#site_menu ul.menu li a:focus,
nav#site_menu ul.menu li a.active {
  text-decoration: none;
}
nav#site_menu ul.menu li ul {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s linear;
}
nav#site_menu ul.menu li:hover > ul {
  visibility: visible;
  opacity: 1;
}
nav#site_menu ul.menu.level-1 {
  display: table;
}
nav#site_menu ul.menu.level-1 > li {
  display: inline-block;
}
nav#site_menu ul.menu.level-1 > li > a {
  text-transform: uppercase;
  border-top: none;
  padding: 1.5rem 0.75rem;
}
nav#site_menu ul.menu:not(.level-1) {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
  clip-path: inset(0 -100vw -100vh -20px);
  top: 100%;
}
nav#site_menu ul.menu:not(.level-1) li a span:after {
  left: 0;
  right: 100%;
}
nav#site_menu ul.menu:not(.level-1) li a:hover span:after, nav#site_menu ul.menu:not(.level-1) li a.active span:after {
  left: 0;
  right: 0;
}
nav#site_menu ul.menu.level-3 {
  z-index: 99;
  top: 0;
  left: 100%;
  width: fit-content;
  clip-path: inset(-20px -20px -100vh -20px);
  border-left: 1px solid #dddddd;
}
nav#site_menu ul.menu#menu_top {
  position: relative;
  margin: 0 auto;
}
nav#site_menu ul.menu#language {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 3.5rem;
  text-align: right;
}
nav#site_menu ul.menu#language > li > a {
  width: 1.6rem;
  height: 1.6rem;
  padding: 1.35rem 0.5rem;
  display: block;
  opacity: 0.6;
  transition: opacity 0.3s ease-in-out;
}
nav#site_menu ul.menu#language > li > a:hover {
  opacity: 1;
}
nav#site_menu ul.menu#language > li > a:after {
  content: "";
  width: 1.6rem;
  height: 1.6rem;
  display: block;
  background-image: url("/css/icons/globe.svg");
  background-size: cover;
}
nav#site_menu ul.menu#language ul {
  left: auto;
  right: 0;
}
nav#site_menu ul.menu#language li a {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}
nav#site_menu ul.menu#language li:first-child a {
  padding-left: 1rem;
}
nav#site_menu ul.menu#language li:first-child a.active:after {
  right: 0.5rem;
}
nav#site_menu ul.menu#language li:last-child a {
  padding-right: 1rem;
}
nav#site_menu ul.menu#language li:last-child a.active:after {
  left: 0.5rem;
}
nav#site_menu a#newsletter_icon {
  position: absolute;
  top: 0.75rem;
  right: 0.75rem;
  width: 1.75rem;
  height: 1.75rem;
  padding: 0.5rem;
  display: block;
  opacity: 0.6;
  transition: opacity 0.3s ease-in-out;
}
nav#site_menu a#newsletter_icon:hover {
  opacity: 1;
}
nav#site_menu a#newsletter_icon:after {
  content: "";
  width: 1.75rem;
  height: 1.75rem;
  display: block;
  background-image: url("/css/icons/envelope-check.svg");
  background-size: cover;
}

@media all and (max-width: 1200px) {
  nav#site_menu a#site_logo {
    left: 1rem;
  }
  nav#site_menu ul.menu.level-1 > li > a {
    padding: 1.5rem 0.5rem;
  }
}
@media all and (max-width: 1120px) {
  nav#site_menu a#site_logo {
    left: 0.75rem;
  }
  nav#site_menu ul.menu.level-1 > li > a {
    padding: 1.25rem 0.5rem;
  }
  nav#site_menu ul.menu.level-1#language {
    right: 3rem;
  }
  nav#site_menu ul.menu.level-1#language > li > a {
    padding: 1.1rem 0.5rem;
  }
  nav#site_menu a#newsletter_icon {
    right: 0.3rem;
    top: 0.5rem;
  }
}
@media all and (max-width: 1080px) {
  nav#site_menu {
    height: 2.85rem;
  }
  nav#site_menu a#site_logo {
    position: relative;
    z-index: 10;
    top: 0;
    left: 0;
    display: table;
    width: 18rem;
    height: 2.85rem;
    aspect-ratio: 14.1875;
    margin: 0 auto;
    padding: 0 0.75rem 0 0.75rem;
  }
  nav#site_menu a#site_logo:after {
    background-image: url("/img/site/tsf-logo-line.svg");
  }
  nav#site_menu div#menu_toggle {
    display: block;
  }
  nav#site_menu div#menu_toggle.active + ul.menu#menu_top,
  nav#site_menu div#menu_toggle:focus + ul.menu#menu_top {
    display: block;
  }
  nav#site_menu ul.menu.level-1 > li > a {
    padding: 0.75rem 1rem;
  }
  nav#site_menu ul.menu#menu_top {
    display: none;
    position: absolute;
    top: 100%;
    left: 0.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
    clip-path: inset(0 -100vw -100vh -20px);
  }
  nav#site_menu ul.menu#menu_top:hover {
    display: block;
  }
  nav#site_menu ul.menu#menu_top > li {
    display: block;
  }
  nav#site_menu ul.menu#menu_top > li > a {
    border-top: 1px solid #dddddd;
    padding-right: 2rem;
  }
  nav#site_menu ul.menu#menu_top > li > ul {
    top: 0;
    left: 100%;
    border-left: 1px solid #dddddd;
    clip-path: inset(-100vw -100vh -100vh 0);
  }
  nav#site_menu ul.menu#menu_top li > a:not(:last-child):after {
    content: "";
    position: absolute;
    top: calc(50% - 0.375rem);
    right: 0.5rem;
    width: 0.75rem;
    height: 0.75rem;
    background-image: url("/css/icons/dir-down.svg");
    background-size: 0.75rem 0.75rem;
    transform: rotate(-90deg);
    opacity: 0.4;
    transition: opacity 0.3s ease-in-out;
  }
  nav#site_menu ul.menu#menu_top li > a:hover:after {
    opacity: 1;
  }
  nav#site_menu ul.menu.level-1#language > li > a {
    padding: 0.6rem 0.5rem;
  }
  nav#site_menu a#newsletter_icon {
    top: 0;
  }
  body[data-uri="/"] nav#site_menu a.site-logo {
    pointer-events: none;
  }
  body[data-uri="/"] nav#site_menu a.site-logo img {
    opacity: 0;
  }
  body[data-uri="/"].menu-sticked nav#site_menu a.site-logo {
    pointer-events: all;
  }
  body[data-uri="/"].menu-sticked nav#site_menu a.site-logo img {
    opacity: 1;
  }
}
@media all and (max-width: 720px) {
  nav#site_menu div#menu_toggle {
    left: -0.5rem;
  }
  nav#site_menu div#menu_toggle span {
    display: none;
  }
}
@media all and (max-width: 660px) {
  nav#site_menu a#site_logo {
    width: 16rem;
  }
}
@media all and (max-width: 660px) {
  nav#site_menu a#site_logo {
    width: 16rem;
  }
}
@media all and (max-width: 440px) {
  body[data-sites="1"] nav#site_menu a#site_logo {
    margin: 0 0.75rem 0 auto;
  }
}
footer#site_footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  column-gap: 1rem;
  padding: 1rem 2rem;
  background-color: var(--greenLight);
  font-size: 0.85rem;
}
footer#site_footer div.column {
  flex-shrink: 1;
  flex-basis: auto;
  padding: 0;
}
footer#site_footer div.column h6 {
  margin: 0 0 0.25rem 0;
}
footer#site_footer div.column > div {
  margin: 0 0 0 0;
}
footer#site_footer div.column a:not(.cta-link) {
  display: table;
  padding: 0.25rem 0;
  color: #507851;
}
footer#site_footer div.column a.cta-link {
  margin-top: 0.5rem;
  padding: 0.5rem 2rem 0.5rem 0.75rem;
  font-size: 1rem;
  line-height: 1.25;
  font-weight: bold;
  text-align: left;
  color: #ffffff;
  background-color: var(--greenDark);
}
footer#site_footer div.column[data-slug=newsletter] {
  width: 15rem;
}

@media all and (max-width: 860px) {
  footer#site_footer {
    justify-content: space-between;
  }
}
div#overlay {
  position: fixed;
  z-index: 8;
  top: 152px;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: hidden;
  background-color: #ffffff;
  display: none;
}
div#overlay div#overlay_content {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  padding: 1rem 1.5rem 3rem 1.5rem;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}
div#overlay div#overlay_close {
  position: absolute;
  right: 2rem;
  top: 2rem;
  height: 1.5rem;
  width: 1.5rem;
  background-image: url("/css/icons/close.svg");
  background-size: 1.5rem;
  background-repeat: no-repeat;
  background-position: center center;
}

@media all and (max-width: 1080px) {
  div#overlay {
    top: 4.65rem;
  }
}
@media all and (max-width: 720px) {
  div#overlay div#overlay_close {
    right: 1rem;
  }
}
